Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
knowledge-base
/
{sourceType}
/
{uniqueId}
/
sync
Retry Knowledge Base Source Indexing
curl --request PATCH \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/{sourceType}/{uniqueId}/sync \
  --header 'apikey: <api-key>'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

sourceType
enum<string>
required

Source type (uploads, text, website)

Available options:
uploads,
text,
website
uniqueId
string
required

Unique source ID to sync

Response

200 - application/json

Revectorization triggered successfully.

The response is of type object.